/*
 * ThreeDGraphDraw.java
 *
 * Copyright (C) 1997 UMEDA Hidekazu
 * All Rights Reserved.
 *
 * Permission to use, copy, modify, and distribute this software
 * and its documentation for NON-COMMERCIAL purposes and without
 * fee is hereby granted, provided that this copyright notice is
 * preserved in all copies.
 */

import java.awt.*;
import java.applet.Applet;
import grapher.elements.ThreeDGraph;
import grapher.util.*;
import grapher.primitives.Cube;
import grapher.primitives.PrimitiveFactory;
import grapher.component.ThreeDMultiGraph;
import grapher.component.ThreeDPanel;
import grapher.component.MultipleGraphPanel;

public class ObjectLayouterApplet extends Applet {
  //ThreeDPanel aPanel;
  //MultipleGraphPanel aPanel = new MultipleGraphPanel();
  ThreeDMultiGraph aPanel = new ThreeDMultiGraph();
  Frame fm;

  public static void main( String argv[] ){
    /*
    fm = new Frame();
    fm.setSize(200, 300);
    fm.pack();
    fm.setLayout( new BorderLayout() );

    ObjectLayouter ol = new ObjectLayouter();
    fm.add("Center", ol);
    ol.init();

    CheckboxGroup cboxg = new CheckboxGroup();
    Checkbox cbox1 = new Checkbox("Rotate", cboxg, false);
    Checkbox cbox2 = new Checkbox("Translate", cboxg, false);

    Panel ctrlPanel = new Panel();
    ctrlPanel.add(cbox1);
    ctrlPanel.add(cbox2);
    fm.add("South", ctrlPanel);

    CheckBoxListener listener = new CheckBoxListener();
    cbox1.addItemListener( listener );
    cbox2.addItemListener( listener );

    fm.show();
    */
  }

  public void init(){
    //aGraph = new ThreeDGraph(this);
    //aGraph = new Cube();
    ThreeDGraph cube = PrimitiveFactory.getCube();
    ThreeDGraph prism = PrimitiveFactory.getPrism();
    cube.translateElements(cube.vertices(), 120.0, 120.0, 0.0);
    prism.translateElements(prism.vertices(), 100.0, 100.0, 0.0);
    //aPanel = new ThreeDPanel();
    //aPanel.add(cube);
    aPanel.add(prism);
    aPanel.add(cube);
    setLayout(new BorderLayout());
    add("Center", aPanel);
  }

}
		
		
		
